/*
** Copyright R-U-ON, 2006
** www.r-u-on.com
*/

#ifndef SYSTEM_H
#define SYSTEM_H

#include "ciao.h"

#define CPU 0
#define PMEM 1
#define SWAP 2

#define METRICSCOUNT 3
#define MAX_VOLUME_NAME 80

int getmetrics(int readings[]);

typedef struct volume_struct {
	char name[MAX_VOLUME_NAME];
	char alarmed;
	char state;
	int value;
} volume;

int loadvolumes(volume *volumes, int max);
int volumeusage(char *p);
#ifdef WIN32
int checkcustomthresholds(int *alarms, char *customtext, int updateconfig);
void customthresholdsalarms(iao_alarm *alarms, int max, int *count);
void customthresholdreported();
#endif
int checkpaththresholds(char *expressions, iao_alarm *alarms);

#endif
